Article ID: 4085, created on Mar 24, 2008, last review on Apr 18, 2012

  • Applies to:
  • Sphera


The error fail to find previous application .msi file. is generated when trying to upgrade SD 3.6 to SD 3.8


There are two types of valid SD3.6 installation:

Install SD 3.6 i27 --> Install all UPs

Install SD 3.6 i37 (include UP1 and UP2) -->  Install UPs


There is a bug in the upgrade package, and upgrade fails if executing it on SD 3.6 i27 + UP4


Please verify that UP4 for SD 3.6 is installed before executing the following workaround:


1.      Run setup package d:\ServerDirector3[1].8i56.exe.
This package extracts all its files to c:\Program Files\Common Files\ServerDirector38i56 folder.

2.      After all files are extracted, the Welcome to the Patch for ServerDirector 3.8.i56 screen is displayed.
Do not click on
Update button.

3.      To enable upgrade from: SD 3.6 i27,
Edit C:\Program Files\Common Files\ServerDirector38i56\program files\Sphera\ServerDirector\upgrade\Common\patches_config.xml file.
3.6.i37 to 3.6.i27 and save the file

4.      Return to the installation process.
Click on the
Update button in Welcome to the Patch for ServerDirector 3.8.i56 screen.
From this point you are
continuing with the regular upgrade procedure.

5f478287f7e74fe9b07217d8131cd741 6311ae17c1ee52b36e68aaf4ad066387

Email subscription for changes to this article
Save as PDF